/* 
 * decimate.h: sample header file for plug-in
 */

#ifndef __GST_DECIMATE_H__
#define __GST_DECIMATE_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_DECIMATE \
  (gst_gst_decimate_get_type())
#define GST_DECIMATE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_DECIMATE,GstDecimate))
#define GST_DECIMATE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_DECIMATE,GstDecimate))
#define GST_IS_DECIMATE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_DECIMATE))
#define GST_IS_DECIMATE_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_DECIMATE))

typedef struct _GstDecimate      GstDecimate;
typedef struct _GstDecimateClass GstDecimateClass;

struct _GstDecimate
{
  GstElement element;

  GstPad *sinkpad, *srcpad;

  gboolean silent;

  int decimation_factor;
  int index;
};

struct _GstDecimateClass 
{
  GstElementClass parent_class;
};

GType gst_gst_decimate_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_DECIMATE_H__ */
