/* 
 * envelope.h: sample header file for plug-in
 */

#ifndef __GST_ENVELOPE_H__
#define __GST_ENVELOPE_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_ENVELOPE \
  (gst_gst_envelope_get_type())
#define GST_ENVELOPE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_ENVELOPE,GstEnvelope))
#define GST_ENVELOPE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_ENVELOPE,GstEnvelope))
#define GST_IS_ENVELOPE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_ENVELOPE))
#define GST_IS_ENVELOPE_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_ENVELOPE))

typedef struct _GstEnvelope      GstEnvelope;
typedef struct _GstEnvelopeClass GstEnvelopeClass;

struct _GstEnvelope
{
  GstElement element;

  GstPad *sinkpad, *srcpad;

  gboolean silent;

  double frequency_cutoff;

  float state[1];
  float srctap;
  float tap0;
};

struct _GstEnvelopeClass 
{
  GstElementClass parent_class;
};

GType gst_gst_envelope_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_ENVELOPE_H__ */
