/* 
 * framer.h: sample header file for plug-in
 */

#ifndef __GST_FRAMER_H__
#define __GST_FRAMER_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_FRAMER \
  (gst_gst_framer_get_type())
#define GST_FRAMER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_FRAMER,GstFramer))
#define GST_FRAMER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_FRAMER,GstFramer))
#define GST_IS_FRAMER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_FRAMER))
#define GST_IS_FRAMER_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_FRAMER))

typedef struct _GstFramer      GstFramer;
typedef struct _GstFramerClass GstFramerClass;

struct _GstFramer
{
  GstElement element;

  GstPad *sinkpad, *trigger_sinkpad, *srcpad;

  gboolean silent;
  int chunk_size;

  int triggered;

  GstBuffer *outbuf;
  int n_input;
  float *data;
  double rate;
  int max_rate;

  int in_trigger;

  int trig_offset;

  int trig_index;
  int trig_n;
  GstBuffer *trig_buf;
  guint64 *trig_data;

  guint64 input_endtime;
  GstBuffer *input_buf;
  int input_n;
  float *input_data;

  GstBuffer *out_buf;
  int out_index;
  float *out_data;

  guint64 trig_time;
  guint64 time;
};

struct _GstFramerClass 
{
  GstElementClass parent_class;
};

GType gst_gst_framer_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_FRAMER_H__ */
