/* 
 * gate.h: sample header file for plug-in
 */

#ifndef __GST_GATE_H__
#define __GST_GATE_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_GATE \
  (gst_gst_gate_get_type())
#define GST_GATE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_GATE,GstGate))
#define GST_GATE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_GATE,GstGate))
#define GST_IS_GATE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_GATE))
#define GST_IS_GATE_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_GATE))

typedef struct _GstGate      GstGate;
typedef struct _GstGateClass GstGateClass;

struct _GstGate
{
  GstElement element;

  GstPad *sinkpad, *trigger_sinkpad, *srcpad;

  gboolean silent;

  gboolean in_trigger;
  int chunk_size;
  int rate;

  GstBuffer *input_buf;
  float *input_data;
  int input_n;
  guint64 input_endtime;

  GstBuffer *trig_buf;
  guint64 *trig_data;
  guint64 trig_time;
  int trig_offset;
  int trig_index;
  int trig_n;

  GstBuffer *out_buf;

  guint64 time;
  guint64 stop_time;
};

struct _GstGateClass 
{
  GstElementClass parent_class;
};

GType gst_gst_gate_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_GATE_H__ */
