/* 
 * GStreamer Science Plugins
 * Copyright (C) 2002 David Schleef <ds@schleef.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _GST_SCI_H_
#define _GST_SCI_H_

#include <gst/gst.h>
#include <glib.h>

#define GST_SECOND_DOUBLE ((double)GST_SECOND)
#define GST_SECOND_MULDIV(a,b) ((gint64)(((a)*GST_SECOND_DOUBLE)/(b)))
#define GST_SECOND_DIV(b) (GST_SECOND_DOUBLE/(b))


typedef struct gst_sci_timestamp_int_struct {
	guint64 timestamp;
	union value{
		gboolean  value_boolean;
		gint32    value_int32;
		gint64    value_int64;
		gfloat    value_float;
		gdouble   value_double;
	} val;
}GstSciTimestamp;


#endif

