/* 
 * hold.h: sample header file for plug-in
 */

#ifndef __GST_HOLD_H__
#define __GST_HOLD_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_HOLD \
  (gst_gst_hold_get_type())
#define GST_HOLD(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_HOLD,GstHold))
#define GST_HOLD_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_HOLD,GstHold))
#define GST_IS_HOLD(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_HOLD))
#define GST_IS_HOLD_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_HOLD))

typedef struct _GstHold      GstHold;
typedef struct _GstHoldClass GstHoldClass;

struct _GstHold
{
  GstElement element;

  GstPad *sinkpad, *srcpad;

  gboolean silent;
  gboolean playing;

  guint rate;
  guint64 n_samples;
  guint chunk_size;

  GstClockTime play_time;
};

struct _GstHoldClass 
{
  GstElementClass parent_class;

  void (*new_media) (GstHold *hold);
};

GType gst_gst_hold_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_HOLD_H__ */
