/* 
 * sonogram.h: sample header file for plug-in
 */

#ifndef __GST_SONOGRAM_H__
#define __GST_SONOGRAM_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_SONOGRAM \
  (gst_gst_sonogram_get_type())
#define GST_SONOGRAM(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_SONOGRAM,GstSonogram))
#define GST_SONOGRAM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_SONOGRAM,GstSonogram))
#define GST_IS_SONOGRAM(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_SONOGRAM))
#define GST_IS_SONOGRAM_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_SONOGRAM))

typedef struct _GstSonogram      GstSonogram;
typedef struct _GstSonogramClass GstSonogramClass;

struct _GstSonogram
{
  GstElement element;

  GstPad *sinkpad, *srcpad;

  gboolean silent;
  double gamma;
  int width;
  int height;

  GstBuffer *outbuf;
  int out_len;
  char *out_data;
  double max;
  double min;
};

struct _GstSonogramClass 
{
  GstElementClass parent_class;
};

GType gst_gst_sonogram_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_SONOGRAM_H__ */
