/* 
 * testsrc.h: sample header file for plug-in
 */

#ifndef __GST_TESTSRC_H__
#define __GST_TESTSRC_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_TESTSRC \
  (gst_gst_testsrc_get_type())
#define GST_TESTSRC(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_TESTSRC,GstTestsrc))
#define GST_TESTSRC_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_TESTSRC,GstTestsrc))
#define GST_IS_TESTSRC(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_TESTSRC))
#define GST_IS_TESTSRC_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_TESTSRC))

typedef struct _GstTestsrc      GstTestsrc;
typedef struct _GstTestsrcClass GstTestsrcClass;

struct _GstTestsrc
{
  GstElement element;

  GstPad *srcpad;

  gboolean silent;
  gboolean sync;

  int rate;
  int chunk_size;

  double frequency;
  double amplitude;
  double noise;
  double frequency_noise;

  int channels;
  int curoffset;
  double acc;
  guint64 timestamp;
};

struct _GstTestsrcClass 
{
  GstElementClass parent_class;
};

GType gst_gst_testsrc_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_TESTSRC_H__ */
