/* 
 * trigger.h: sample header file for plug-in
 */

#ifndef __GST_TRIGGER_H__
#define __GST_TRIGGER_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_TRIGGER \
  (gst_gst_trigger_get_type())
#define GST_TRIGGER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_TRIGGER,GstTrigger))
#define GST_TRIGGER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_TRIGGER,GstTrigger))
#define GST_IS_TRIGGER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_TRIGGER))
#define GST_IS_TRIGGER_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_TRIGGER))

typedef struct _GstTrigger      GstTrigger;
typedef struct _GstTriggerClass GstTriggerClass;

struct _GstTrigger
{
  GstElement element;

  GstPad *sinkpad, *srcpad;

  gboolean silent;

  int state;

  int rate;
  double set_level;
  double reset_level;
};

struct _GstTriggerClass 
{
  GstElementClass parent_class;
};

GType gst_gst_trigger_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_TRIGGER_H__ */
